Subject: bug#52293: [External] : bug#52293: 29.0.50; [PATCH v3] Prevent further cases of duplicated separators in context menus

From: Jim Porter <[email-masked]>
Date: Tue, 14 Dec 2021 16:17:39 -0800

On 12/14/2021 12:30 AM, Juri Linkov wrote:
> Thanks.  The current question was raised by Drew who worried that
> sometimes authors might want to leave two adjacent separators
> for an empty submenu.  But you answered this question that it can be
> addressed by using a special form of a separator with a menu-item.
> So I see no more problems here.

For simplicity, I'll focus on *just* the issue described in the original 
post to this bug (i.e. improving how we detect consecutive separators so 
we can de-duplicate them more reliably). Then I'll send a message to 
emacs-devel to gauge interest in supporting de-duplication in other menus.

If there's interest, it would probably make sense to have the 
de-duplication be opt-in so that we avoid any surprising behavior in 
other menus. However, if people don't think de-duplication of separators 
would be useful in other menus, then we can just keep the logic we have 
now (along with the bug fix mentioned above).

Does that sound reasonable?